Redmine - Feature #18934

Support LDAP Password Changing
2015-01-22 20:51 - Chris Bush

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: LDAP Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

It would be swell if Redmine supported changing LDAP/AD passwords from the Ul, especially in the case of passwords that have
expired where the user has no way to change it otherwise. I've done some preliminary modifications of account_controller.rb and
user.rb to detect when a user's password must be changed, which | can attach as a patch if it's helpful.

Related issues:

Has duplicate Redmine - Defect #19165: LDAP managment with REDMINE - Password... Closed
Is duplicate of Redmine - Patch #5690: Change LDAP password New 2010-06-15
History

#1 - 2015-02-16 16:24 - Toshi MARUYAMA

- Category changed from Accounts / authentication to LDAP

#2 - 2015-03-01 09:11 - Jean-Philippe Lang
- Has duplicate Defect #19165: LDAP managment with REDMINE - Password expired added

#3 - 2015-03-29 03:27 - Sébastien ZAJAC

Hello

Could you attach the patched file?

#4 - 2015-03-29 05:29 - Toshi MARUYAMA
- Priority changed from High to Normal

#5 - 2015-03-30 18:47 - Chris Bush

Unfortunately my fix worked for detecting an expired password, but | couldn't get the actual change working in a secure manner. The issue lies in the
fact that the LDAP implementation won't allow a bind for an expired account, and so you can't bind the user to change their password. The
authentication flag that gets returned for an expired password appears to be the same as what you get for an authentication failure, which means you
can't authenticate the user to change their password. It would be a security issue to just blindly change the password using the LDAP admin
username/password. | can still attach the patch file if you want, but | think the issue lies in net-ldap.

#6 - 2015-07-21 17:40 - Olivier Houdas

One of our users came across this issue (could not login to Redmine, because his password had expired after his morning login to the network), so |
looked at this issue.

It would still be interesting to inform the user properly that his/her password has expired. He can then simply change it on his computer.

However, LDAP programmers advise to use the pwdLastReset and pwdMaxAge attributes (domain level) to calculate whether a password has
expired or not.

Unfortunately, it seems that there is no official naming rule, and that it would be pwdMaxAge with Oracle products, and maxPwdAge with Microsoft's
Active directory.

Would your patch work for all LDAP providers? Maybe it would still be interesting to use it if so.

#7 - 2015-11-03 13:30 - Fernando Hartmann

+1
Related to #5690 ?

#8 - 2015-11-26 13:04 - Toshi MARUYAMA
https://www.redmine.org/issues/5690

- Status changed from New to Closed

- Resolution set to Duplicate

Fernando Hartmann wrote:

+1
Related to #5690 ?

Thank you for your pointing out.

#9 - 2015-11-26 13:04 - Toshi MARUYAMA
- Is duplicate of Patch #5690: Change LDAP password added
